Package org.apache.solr.common.cloud

## Interface DocCollection.CollectionStateProps

Enclosing class:
  DocCollection

    public static interface DocCollection.CollectionStateProps

JSON properties related to a collection's state.

### Field Summary

Fields
`static String` `CONFIGNAME`
`static String` `DOC_ROUTER`
`static String` `NRT_REPLICAS`
`static String` `PER_REPLICA_STATE`
`static String` `PULL_REPLICAS`
`static String` `READ_ONLY`
`static String` `REPLICATION_FACTOR`
`static String` `SHARDS`
`static String` `TLOG_REPLICAS`

### Field Detail

#### NRT_REPLICAS

    static final String NRT_REPLICAS

See Also:
  Constant Field Values

#### PULL_REPLICAS

    static final String PULL_REPLICAS

See Also:
  Constant Field Values

#### TLOG_REPLICAS

    static final String TLOG_REPLICAS

See Also:
  Constant Field Values

#### REPLICATION_FACTOR

    static final String REPLICATION_FACTOR

See Also:
  Constant Field Values

#### READ_ONLY

    static final String READ_ONLY

See Also:
  Constant Field Values

#### CONFIGNAME

    static final String CONFIGNAME

See Also:
  Constant Field Values

#### DOC_ROUTER

    static final String DOC_ROUTER

See Also:
  Constant Field Values

#### SHARDS

    static final String SHARDS

See Also:
  Constant Field Values

#### PER_REPLICA_STATE

    static final String PER_REPLICA_STATE

See Also:
  Constant Field Values